## helma.objectmodel.dom
Class XmlReader

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          helma.objectmodel.dom.XmlReader

All Implemented Interfaces:
  XmlConstants, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public final class XmlReader

extends org.xml.sax.helpers.DefaultHandler
implements XmlConstants

Field Summary

Fields inherited from interface helma.objectmodel.dom.XmlConstants
`DATEFORMAT, NAMESPACE`

Constructor Summary
`XmlReader(WrappedNodeManager nmgr)` Creates a new XmlReader object.

Method Summary
`void` `characters(char[] ch, int start, int length)`
`void` `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)`
`INode` `read(java.io.File file, INode helmaNode)` main entry to read an xml-file.
`INode` `read(org.xml.sax.InputSource in, INode helmaNode)` read an InputSource with xml-content.
`INode` `read(java.io.InputStream in, INode helmaNode)` read an InputStream with xml-content.
`INode` `read(java.io.Reader in, INode helmaNode)` read an character reader with xml-content.
`void` `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlReader

    public XmlReader(WrappedNodeManager nmgr)

  Creates a new XmlReader object.

Method Detail

### read

    public INode read(java.io.File file,
                      INode helmaNode)
               throws javax.xml.parsers.ParserConfigurationException,
                      org.xml.sax.SAXException,
                      java.io.IOException

  main entry to read an xml-file.

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

### read

    public INode read(java.io.InputStream in,
                      INode helmaNode)
               throws javax.xml.parsers.ParserConfigurationException,
                      org.xml.sax.SAXException,
                      java.io.IOException

  read an InputStream with xml-content.

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

### read

    public INode read(java.io.Reader in,
                      INode helmaNode)
               throws javax.xml.parsers.ParserConfigurationException,
                      org.xml.sax.SAXException,
                      java.io.IOException

  read an character reader with xml-content.

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

### read

    public INode read(org.xml.sax.InputSource in,
                      INode helmaNode)
               throws javax.xml.parsers.ParserConfigurationException,
                      org.xml.sax.SAXException,
                      java.io.IOException

  read an InputSource with xml-content.

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
  Parameters:
    `namespaceURI` - ...
    `localName` - ...
    `qName` - ...
    `atts` - ...
  Throws:
    `org.xml.sax.SAXException` - ...

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`
  Parameters:
    `ch` - ...
    `start` - ...
    `length` - ...
  Throws:
    `org.xml.sax.SAXException` - ...

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`
  Parameters:
    `namespaceURI` - ...
    `localName` - ...
    `qName` - ...
  Throws:
    `org.xml.sax.SAXException` - ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.